Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA542] DSA-542-1 qt


Vulnerability Assessment Details

[DSA542] DSA-542-1 qt

Vulnerability Assessment Summary
DSA-542-1 qt

Detailed Explanation for this Vulnerability Assessment

Several vulnerabilities were discovered in recent versions of Qt, a
commonly used graphic widget set, used in KDE for example. The first
problem permits a possible hacker to execute arbitrary code, while the other
two only seem to pose a denial of service danger. The Common
Vulnerabilities and Exposures project identifies the following
vulnerabilities:
Chris Evans has discovered a heap-based overflow when handling
8-bit RLE encoded BMP files.
Marcus Meissner has discovered a crash condition in the XPM
handling code, which is not yet fixed in Qt 3.3.
Marcus Meissner has discovered a crash condition in the GIF
handling code, which is not yet fixed in Qt 3.3.
For the stable distribution (woody) these problems have been fixed in
version 3.0.3-20020329-1woody2.
For the unstable distribution (sid) these problems have been fixed in
version 3.3.3-4 of qt-x11-free.
We recommend that you upgrade your qt packages.


Solution : http://www.debian.org/security/2004/dsa-542
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

DELL POWEREDGE M620 REF TWO E5-2640V2 2.0GHZ 96GB 2 X 480GB SSD H710P
$2339.0
DELL POWEREDGE M620 REF TWO E5-2640V2 2.0GHZ 96GB 2 X 480GB SSD H710P pictureDELL POWEREDGE M620 REF TWO E5-2630LV2 2.40GHZ 256GB 2 X 300GB 15K SAS H710P
$4499.0
DELL POWEREDGE M620 REF TWO E5-2630LV2 2.40GHZ 256GB 2 X 300GB 15K SAS H710P pictureDELL POWEREDGE M630 E5-2630LV3 1.8GHZ 16GB 2133MHZ 480GB SSD S130
$1879.0
DELL POWEREDGE M630 E5-2630LV3 1.8GHZ 16GB 2133MHZ 480GB SSD S130 pictureDELL POWEREDGE R920 SERVER 24B FOUR E7-2870V2 2.3GHZ 768GB 3 X 1.6TB SSD
$10449.0
DELL POWEREDGE R920 SERVER 24B FOUR E7-2870V2 2.3GHZ 768GB 3 X 1.6TB SSD picture


Discussions

No Discussions have been posted on this vulnerability.